## Map Rules ##

gamerule globalmute true
immutableworld true
gamerule commandBlockOutput false
gamerule sendcommandfeedback false
gamerule doFireTick false
gamerule doInsomnia false
gamerule tntExplodes false
gamerule doTileDrops false
gamerule allowdestructiveobjects false
gamerule randomtickspeed 0
execute @a ~ ~ ~ gamemode s
effect @a clear
effect @a instant_health 99999 255 true
effect @a saturation 99999 255 true


## Mobs ##

gamerule domobspawning false
gamerule allowmobs true
gamerule doMobLoot false
gamerule mobGriefing false
gamerule doEntityDrops false
difficulty peaceful


## Time ##

gamerule doDaylightCycle false
time set noon

## Weather ##

gamerule doWeatherCycle false
weather clear

## Player ##
tag @a remove Player1
tag @a remove Player2
ability @a worldbuilder false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule pvp false
gamerule doimmediaterespawn true
gamerule keepInventory true
gamerule showdeathmessages false
gamerule naturalregeneration true
gamerule showCoordinates true
xp -200L @a
TP @a 24 40 -17 90
clear @a

## Agent ##


execute @a ~ ~ ~ TP @e[type=agent] ~ ~ ~100


## Scoreboards ##

scoreboard objectives remove activity
scoreboard objectives add activity dummy Activity
scoreboard players set @a activity -1
scoreboard objectives remove activity2
scoreboard objectives add activity2 dummy Activity
scoreboard players set @a activity2 -1

scoreboard objectives remove check5
scoreboard objectives remove check6

scoreboard objectives remove door1
scoreboard objectives add door1 dummy door1
scoreboard players set @a door1 0

scoreboard objectives remove door2
scoreboard objectives add door2 dummy door2
scoreboard players set @a door2 0

scoreboard objectives remove check1
scoreboard objectives remove check2
scoreboard objectives remove check3
scoreboard objectives remove check4
scoreboard objectives remove time
scoreboard objectives remove time2
scoreboard objectives remove done
scoreboard objectives remove done2
scoreboard objectives remove wait
scoreboard objectives remove clockp1
scoreboard objectives remove clockp2
scoreboard objectives remove scorep1
scoreboard objectives remove scorep2


scoreboard objectives remove debug
scoreboard objectives add debug dummy Debug

scoreboard objectives add spin dummy Spin
scoreboard players set @a spin 0

scoreboard objectives add players dummy Players
scoreboard players set @a players 0

scoreboard objectives remove clock
scoreboard objectives add clock dummy



## Clear Agent Inventory ##

execute @a ~ ~ ~ replaceitem entity @c slot.inventory 0 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 1 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 2 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 3 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 4 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 5 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 6 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 7 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 8 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 9 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 10 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 11 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 12 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 13 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 14 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 15 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 16 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 17 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 18 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 19 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 20 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 21 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 22 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 23 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 24 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 25 air
execute @a ~ ~ ~ replaceitem entity @c slot.inventory 26 air
kill @e[type=item]

## Actionbar
titleraw @a actionbar {"rawtext":[{"translate":"start.actionbar.ceo"}]}

## MarkDown Link ##
codebuilder navigate @a false https://minecraft.makecode.com/?ipc=1&inGame=1&noRunOnX=1#tutorial:Mojang/EducationContent/python/noCodingRequired

gamerule globalmute false

## Map Extra ##
fill -3 39 1 -17 37 -13 wood 8
fill -3 40 1 -17 54 -13 air
fill -3 39 -21 -17 37 -35 wood 8
fill -3 40 -21 -17 54 -35 air
titleraw @a title {"rawtext":[{"translate":"activity.title.reset"}]}
fill 11 40 -11 11 42 -11 stained_glass_pane 15
fill 11 40 -23 11 42 -23 stained_glass_pane 15
setblock 11 43 -10 stone
setblock 11 43 -24 stone
setblock -7 35 0 redstone_block
setblock -7 35 -37 redstone_block
tag @a remove Player1
tag @a remove Player2

